{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}


<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{title}}</title>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
            line-height: 1.2;
            font-size: 16pt;
            color: #000 !important;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .content {
            margin-bottom: 20px;
            text-align: center;
        }
        .signature {
            margin-top: 50px;
            margin-right: 50px;
            display: flex;
            justify-content: flex-end; /* Memindahkan konten ke sisi kanan */
            align-items: center;
        }
        .signature-content {
            text-align: center;
        }
        .signature-content p{
            padding: 0;
            margin: 0;
        }
        .letterhead {
            font-size: 20pt;
            font-weight: bold;
            margin: 0;
        }
        address {
            margin: 0;
            font-style: normal;
            line-height: 1.2;
            border-bottom: 2px solid black;
            padding-bottom: 5px;
        }
        .left-align {
            text-align: left;
            margin: 0;
            margin-left: 20px;
        }
        .justify-text {
            text-align: justify;
            margin-left: 0px;
        }
        .no-margin {
            margin: 0;
        }
        .margin-top-15 {
            margin-top: 15px;
        }
        .table-header {
            border-collapse: collapse;
            width: 100%;
            margin-top: 20px;
        }
        .table-header th, .table-header td {
            padding: 4px; 
            text-align: left;
        }
        .table-header td:first-child {
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }
    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}"> 
</head>
<body onload="window.print()">
    <div class="header">
        <h2 class="letterhead">{{data_spk_.perusahaan.namaperusahaan|upper}}</h2>
        <address>
            {{data_spk_.perusahaan.alamatperusahaan }}<br>
        </address>
        <table class="table-header mt-5">
            <tr>
                <td>Nomor</td>
                <td>: </td>
                <td>{{data_spp_.nosurat}}</td>
                <td class="text-right">Dogiyai, {{tgl_print|date:'d F Y'}}</td>
            </tr>
            <tr>
                <td>Lampiran</td>
                <td>: </td>
                <td>1 (satu) berkas</td>
                <td></td>
            </tr>
            <tr>
                <td>Perihal</td>
                <td>: </td>
                <td><span style="text-decoration: underline; font-weight: bold;">Permohonan Pembayaran</span></td>
                <td></td>
            </tr>
        </table>
    </div>

    <div class="content">
        <p class="left-align no-margin">Kepada Yth.</p>
        <p class="left-align no-margin">Pejabat Pelaksana Teknis Kegiatan (PPTK)</p>
        <p class="left-align no-margin">Kegiatan {{data_spk_.subkegiatan.kegiatan_nama}} </p>
        <p class="left-align no-margin">{{data_spk_.uraipekerjaan}}</p>
        <p class="left-align no-margin">{{data_spk_.opd.namaopd}} Tahun Anggaran {{data_spk_.opd.tahun.tahun|intcomma_no_decimal}}  </p>
        <p class="left-align no-margin">Di- <br> &nbsp &nbsp {{data_spk_.opd.lokasi.kabupaten}}</p>
        <br>
        <p class="justify-text mb-4">Dengan hormat,</p>
        <p class="justify-text">Berdasarkan Surat Perintah Kerja Nomor: <b>{{data_spk_.nospk}}</b> tanggal {{ data_spk_.tglspk|date:'d F Y' }}, tentang <b>{{data_spk_.uraipekerjaan}}</b> pada {{data_spk_.opd.namaopd}} {{data_spk_.opd.lokasi.kabupaten}} TA {{data_spk_.opd.tahun.tahun|intcomma_no_decimal}},
             maka bersama ini kami mengajukan permohonan pembayaran <b>{{data_spp_.masterpembayaran.urai}}</b> sebesar Rp. {{total_tagihan|floatformat:0|intcomma}},- <b>({{ total_tagihan|floatformat:0|cut:"."|cut:","|terbilang }})</b>.</p>
        <br>
        <p class="justify-text">Demikian permohonan ini kami buat, atas perhatian dan kerjasamanya diucapkan terima kasih.</p>
    </div>

    <div class="signature">
        <div class="signature-content">
            <p>Hormat Kami,</p>
            <p><b>{{data_spk_.perusahaan.namaperusahaan|title}}</b></p>
            <br><br><br>
            <p><b>{{data_spk_.perusahaan.namadirektur|title}}</b></p>
            <p>Pimpinan</p>
        </div>
    </div>
</body>
</html>
